<!DOCTYPE HTML>
<html lang="" >
    <head>
        <meta charset="UTF-8">
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <title>Primeros pasos de Python 3 · GitBook</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="description" content="">
        <meta name="generator" content="GitBook 3.2.3">
        
        
        
    
    <link rel="stylesheet" href="gitbook/style.css">

    
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-highlight/website.css">
                
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-search/search.css">
                
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-fontsettings/website.css">
                
            
        

    

    
        
    
        
    
        
    
        
    
        
    
        
    

        
    
    
    <meta name="HandheldFriendly" content="true"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="gitbook/images/apple-touch-icon-precomposed-152.png">
    <link rel="shortcut icon" href="gitbook/images/favicon.ico" type="image/x-icon">

    
    

    </head>
    <body>
        
<div class="book">
    <div class="book-summary">
        
            
<div id="book-search-input" role="search">
    <input type="text" placeholder="Type to search" />
</div>

            
                <nav role="navigation">
                


<ul class="summary">
    
    

    

    
        
        
    
        <li class="chapter active" data-level="1.1" data-path="./">
            
                <a href="./">
            
                    
                    Primeros Pasos de Python 3
            
                </a>
            

            
        </li>
    

    

    <li class="divider"></li>

    <li>
        <a href="https://www.gitbook.com" target="blank" class="gitbook-link">
            Published with GitBook
        </a>
    </li>
</ul>


                </nav>
            
        
    </div>

    <div class="book-body">
        
            <div class="body-inner">
                
                    

<div class="book-header" role="navigation">
    

    <!-- Title -->
    <h1>
        <i class="fa fa-circle-o-notch fa-spin"></i>
        <a href="." >Primeros pasos de Python 3</a>
    </h1>
</div>




                    <div class="page-wrapper" tabindex="-1" role="main">
                        <div class="page-inner">
                            
<div id="book-search-results">
    <div class="search-noresults">
    
                                <section class="normal markdown-section">
                                
                                <h1 id="primeros-pasos-de-python-3">Primeros pasos de Python 3</h1>
<p>Dentro de este repositorio, se encuentra un peque&#xF1;o tutorial, para aprender las 
bases principales del lenguaje de programacion python 3. </p>
<h1 id="&#xBF;que-es-python">&#xBF;Que es Python?</h1>
<p>El nombre Python proviene del surrealista grupo de comedia brit&#xE1;nica Monty 
Pit&#xF3;n,no de la serpiente. A los programadores de Python se les llama 
cari&#xF1;osamente Pythonistas, y tanto las referencias a Monty Python como a las 
serpientes suelen ser de pimienta.
Python es un lenguaje de programaci&#xF3;n de alto nivel, con aplicaciones en 
numerosas &#xE1;reas, que incluyen programaci&#xF3;n web, scripts, computaci&#xF3;n cient&#xED;fica 
e inteligencia artificial. 
Python es procesado en tiempo de ejecuci&#xF3;n por el int&#xE9;rprete . No es necesario 
compilar su programa antes de ejecutarlo.
Es muy popular y utilizado por organizaciones como Google, la NASA, la CIA y 
Disney.</p>
<h1 id="instalaci&#xF3;n">Instalaci&#xF3;n</h1>
<p>El int&#xE9;rprete de Python se puede descargar gratuitamente desde <a href="http://python.org" target="_blank">http://python.org</a>, 
y hay versiones para Linux, OS X y Windows.
Tenga en cuenta la &gt;&gt;&gt; en el c&#xF3;digo de arriba. Son el s&#xED;mbolo de la consola de 
Python. Python es un lenguaje interpretado, lo que significa que cada l&#xED;nea se 
ejecuta a medida que se ingresa. Python tambi&#xE9;n incluye IDLE , el entorno de 
desarrollo integrado, que incluye herramientas para escribir y depurar programas
completos.
Encontrar&#xE1; instaladores de Python para equipos de 64 y 32 bits para cada sistema
operativo en la p&#xE1;gina de descargas, as&#xED; que primero averig&#xFC;e qu&#xE9; instalador 
necesita. Si compr&#xF3; su computadora en 2007 o despu&#xE9;s, lo m&#xE1;s probable es que sea
un sistema de 64 bits. De lo contrario, tiene una versi&#xF3;n de 32 bits, pero aqu&#xED; 
est&#xE1; c&#xF3;mo averiguarlo con seguridad:</p>
<p><strong>Windows</strong></p>
<ul>
<li>Seleccione Start4Control Panel4System y compruebe si System Type 
dice 64 bits o 32 bits.</li>
<li>Despues descargue el instalador de Python (el nombre de archivo 
terminar&#xE1; con.msi) y haga doble clic en &#xE9;l. Siga las instrucciones del 
instalador en la pantalla para instalar Python, como se indica aqu&#xED;:<ol>
<li>Seleccione Instalar para todos los usuarios y, a continuaci&#xF3;n, haga 
clic en Siguiente.</li>
<li>Instale en la carpeta C:\Python34 haciendo clic en Siguiente.</li>
<li>Haga clic de nuevo en Siguiente para omitir la secci&#xF3;n Personalizar 
Python.</li>
</ol>
</li>
</ul>
<p><strong>IDLE:</strong> Si usted tien Windows XP, haga click en el bot&#xF3;n Inicio y seleccione 
Programas y luego IDLE. Si tiene Windows 7 o posterior haga click en el icono
de inicio e introduza IDLE.</p>
<p><strong>OS X</strong></p>
<ul>
<li>Vaya al men&#xFA; de Apple, seleccione Acerca de este Mac4M&#xE1;s 
informaci&#xF3;n4System Report4Hardware, y luego mire el nombre del procesador campo.
Si dice Intel Core Solo o Intel Core Duo, usted tiene una maquina con disco duro
de 32 bits. Si dice algo m&#xE1;s (incluyendo Intel Core 2 Duo), usted tienen una 
m&#xE1;quina de 64 bits.</li>
<li>Despues descargue el archivo.dmg adecuado para su versi&#xF3;n de OS X y haga 
doble clic en &#xE9;l. Siga las instrucciones que el instalador muestra en la pantalla
para instalar Python, como se indica aqu&#xED;:<ol>
<li>Cuando el paquete DMG se abra en una nueva ventana, haga doble clic en el
bot&#xF3;n Archivo Python.mpkg. Es posible que tenga que introducir la contrase&#xF1;a
de administrador.</li>
<li>Haga clic en Continuar en la secci&#xF3;n de Bienvenida y haga clic en Aceptar
para aceptar. la licencia.</li>
<li>Seleccione HD Macintosh (o el nombre que tenga su disco duro) y haga clic
en Instalar.</li>
</ol>
</li>
</ul>
<p><strong>IDLE:</strong> Abra la ventana Finder, haga clic en Aplicaciones, haga clic en Python 
3.4 y, a continuaci&#xF3;n, en el icono IDLE. </p>
<p><strong>Ubuntu Linux</strong></p>
<ul>
<li>Abra un Terminal y ejecute el comando uname -m. Una respuesta
de i686 significa 32 bits, y x86_64 significa 64 bits.</li>
<li>Despues instale Python siguiendo estos pasos:<ol>
<li>Introduzca sudo apt-get install python3.</li>
<li>Introduzca sudo apt-get install idle3.</li>
<li>Introduzca sudo apt-get install python3-pip.</li>
</ol>
</li>
</ul>
<p><strong>IDLE:</strong> Seleccione Applications4Accessories4Terminal y luego ingrese idle3. 
(Tambi&#xE9;n puede hacer clic en Applications en la parte superior de la pantalla, 
seleccionar Programming, y luego en IDLE.). </p>
<h1 id="contenido">Contenido</h1>
<p><strong>Conceptos B&#xE1;sicos</strong></p>
<ul>
<li>Hello World.</li>
<li>Operaciones b&#xE1;sicas.</li>
<li>Cadenas.</li>
<li>Variables.</li>
<li>IDLE.</li>
</ul>
<p><strong>Estructuras de Control</strong></p>
<ul>
<li>Booleanos.</li>
<li>Sentencias. </li>
</ul>
<h1 id="autor">Autor</h1>
<p><strong>H&#xC9;CTOR OCTAVIO GIR&#xD3;N BOBADILLA</strong></p>

                                
                                </section>
                            
    </div>
    <div class="search-results">
        <div class="has-results">
            
            <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
            <ul class="search-results-list"></ul>
            
        </div>
        <div class="no-results">
            
            <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
            
        </div>
    </div>
</div>

                        </div>
                    </div>
                
            </div>

            
                
                
            
        
    </div>

    <script>
        var gitbook = gitbook || [];
        gitbook.push(function() {
            gitbook.page.hasChanged({"page":{"title":"Primeros pasos de Python 3","level":"1.1","depth":1,"dir":"ltr"},"config":{"gitbook":"*","theme":"default","variables":{},"plugins":[],"pluginsConfig":{"highlight":{},"search":{},"lunr":{"maxIndexSize":1000000,"ignoreSpecialCharacters":false},"sharing":{"facebook":true,"twitter":true,"google":false,"weibo":false,"instapaper":false,"vk":false,"all":["facebook","google","twitter","weibo","instapaper"]},"fontsettings":{"theme":"white","family":"sans","size":2},"theme-default":{"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"},"showLevel":false}},"structure":{"langs":"LANGS.md","readme":"README.md","glossary":"GLOSSARY.md","summary":"SUMMARY.md"},"pdf":{"pageNumbers":true,"fontSize":12,"fontFamily":"Arial","paperSize":"a4","chapterMark":"pagebreak","pageBreaksBefore":"/","margin":{"right":62,"left":62,"top":56,"bottom":56}},"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"}},"file":{"path":"README.md","mtime":"2018-10-22T16:14:54.914Z","type":"markdown"},"gitbook":{"version":"3.2.3","time":"2018-10-22T17:18:43.236Z"},"basePath":".","book":{"language":""}});
        });
    </script>
</div>

        
    <script src="gitbook/gitbook.js"></script>
    <script src="gitbook/theme.js"></script>
    
        
        <script src="gitbook/gitbook-plugin-search/search-engine.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-search/search.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-lunr/lunr.min.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-lunr/search-lunr.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-sharing/buttons.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-fontsettings/fontsettings.js"></script>
        
    

    </body>
</html>

